
Redmine - Feature #8879

Update option for documents and files

2011-07-22 08:54 - Alfredo Bonilla

Status: New Start date: 2011-07-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

It would be very useful the possibility of updating documents or files in Redmine.

Beside the delete action could be a new update one.

By doing this, the attachment number will remain the same, and all references in wiki pages or issues or external places will not be

necessary their change.

About the doc or file physical storage, the "replaced or updated" file could be removed.

Related issues:

Related to Redmine - Feature #1326: Add / edit an attachment description afte... Closed 2008-05-29

Related to Redmine - Feature #3151: Ability to edit file descriptions after t... Closed 2009-04-09

History

#1 - 2011-07-22 09:50 - Etienne Massip

- Category changed from Documents to Attachments

#2 - 2011-09-02 17:29 - Alain V.

+100

Completly agree

#3 - 2011-09-05 09:11 - Etienne Massip

- Target version set to Candidate for next major release

#4 - 2012-11-06 00:01 - Anonymous

+1

We rely on the DMSF plugin for just this purpose, and it'd be great to drop DMSF once and for all and have a lot more freedom to keep Redmine and

other addons up-to-date.

#5 - 2013-07-19 09:34 - Maxime Vez

+1

#6 - 2014-02-05 15:54 - Daniele Pedroni

+1

Any possibility to start from DMSF plugin and integrate it, replacing Documents (and potentially also Files) tab and allowing media versioning?

Expanding the function also to issue file upload!

#7 - 2014-02-05 18:29 - Ebrahim Mohammadi

Another strategy for core Redmine team would be focusing on stabilization of the plugin API and let others pay (developer time, ...) cost of

maintaining their favorite plugins. It might work better than dividing the scarce core developer time between maintaining more and more lines of

codes.

#8 - 2014-11-14 10:42 - Dmitry Shumilin

+1

#9 - 2014-12-14 04:49 - Toshi MARUYAMA

- Category changed from Attachments to Files

2025-07-04 1/2



#10 - 2014-12-14 04:54 - Toshi MARUYAMA

- Related to Feature #3151: Ability to edit file descriptions after they have been uploaded added
